com.ibm.openpages.api.security

## Interface IRoleAssignment

-     public interface IRoleAssignment

  Interface for OpenPages role assignment information. A role assignment creates an association between a user or group, a role template, and a resource in a specific folder. It scopes the user or group access permissions for the resources of the specified type, located in the specified folder.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDateChanged()` Returns the role assignment changed date.
    `java.util.Date` | `getDateCreated()` Returns the role assignment creation date.
    `IFolder` | `getFolder()` Returns the folder that is the scope of the object permissions assignment.
    `Id` | `getId()` Returns the Id of the assignment.
    `IRoleTemplate` | `getRoleTemplate()` Returns the role template which permissions get assigned.
    `java.lang.String` | `getRoleTemplateName()` Returns the name of an assignment.
    `java.lang.String` | `getRoleTemplateType()` Returns the type of an assignment.
    `ISecurityPrincipal` | `getSecurityPrincipal()` Returns the user or group that is assigned the object permissions specified by the role template.
    `ITypeDefinition` | `getTypeDefinition()` Returns the type definition of the scope for this assignment.
    `void` | `revoke()` Revokes the role assignment.

- - ### Method Detail

    - #### getRoleTemplate

          IRoleTemplate getRoleTemplate()

      Returns the role template which permissions get assigned.
      Returns:
        IRoleTemplate

    - #### getFolder

          IFolder getFolder()

      Returns the folder that is the scope of the object permissions assignment.
      Returns:
        IFolder

    - #### getSecurityPrincipal

          ISecurityPrincipal getSecurityPrincipal()

      Returns the user or group that is assigned the object permissions specified by the role template.
      Returns:
        ISecurityPrincipal

    - #### getId

          Id getId()

      Returns the Id of the assignment.
      Returns:
        Id

    - #### getRoleTemplateName

          java.lang.String getRoleTemplateName()

      Returns the name of an assignment.
      Returns:
        String

    - #### getRoleTemplateType

          java.lang.String getRoleTemplateType()

      Returns the type of an assignment.
      Returns:
        String

    - #### getTypeDefinition

          ITypeDefinition getTypeDefinition()

      Returns the type definition of the scope for this assignment.
      Returns:
        ITypeDefinition

    - #### getDateCreated

          java.util.Date getDateCreated()

      Returns the role assignment creation date.
      Returns:
        date when the role assignment was created

    - #### getDateChanged

          java.util.Date getDateChanged()

      Returns the role assignment changed date.
      Returns:
        date when the role assignment was changed

    - #### revoke

          void revoke()

      Revokes the role assignment.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.